Texa DeskDevelopers

Client API · Conversations

Toggle typing status

POST/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_typing

Toggles the typing status in a conversation

Path parameters

inbox_identifierstringrequired

The identifier obtained from API inbox channel

contact_identifierstringrequired

The source id of contact obtained on contact create

conversation_idintegerrequired

The numeric ID of the conversation

Query parameters

typing_statusstringrequired

Typing status, either 'on' or 'off'

Body application/json

typing_statusstring

The typing status to set One of: on, off.

Responses

200

Typing status toggled successfully

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
404

Conversation not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring